org.apache.solr.common.cloud

## Class ZooKeeperException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.solr.common.SolrException
        - - org.apache.solr.common.cloud.ZooKeeperException

All Implemented Interfaces:
  Serializable

    public class ZooKeeperException
    extends SolrException

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.common.SolrException

`SolrException.ErrorCode`

### Field Summary

### Fields inherited from class org.apache.solr.common.SolrException

`ERROR_CLASS, ignorePatterns, metadata, ROOT_ERROR_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`ZooKeeperException(SolrException.ErrorCode code, String msg)`
`ZooKeeperException(SolrException.ErrorCode code, String msg, Throwable th)`

### Method Summary

### Methods inherited from class org.apache.solr.common.SolrException

`code, doIgnore, getMetadata, getMetadata, getRootCause, getRootThrowable, getThrowable, log, log, log, log, logDebugWithMdc, logInfoWithMdc, logWarnWithMdc, setMetadata, setMetadata, toStr, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ZooKeeperException

    public ZooKeeperException(SolrException.ErrorCode code,
                              String msg,
                              Throwable th)

#### ZooKeeperException

    public ZooKeeperException(SolrException.ErrorCode code,
                              String msg)